Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book
Class Strongs

    java.lang.Object
      org.crosswire.jsword.book.Strongs

    public class Strongs

extends Object

Strongs is a convenience way of recording a Strongs number instead of using a String with a number in it.

A Strongs number can not be a number because Hebrew and Greek numbers are distinguished only by the Hebrew having a 0 at the start.

The class is immutable.

Numbers that exist:

- Hebrew: 1-8674
- Greek: 1-5624 (but not 1418, 2717, 3203-3302, 4452)
- Parsing: 0, 5625-5773, 8675-8809 (but not 5626, 5653, 5687, 5767, 8679)

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: Strongs.java,v 1.8 2004/11/28 21:36:46 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Field Summary
`static int` | `GREEK` This is a Greek word
`static int` | `GREEK_MAX` This largest legal value for a Greek number
`static int` | `HEBREW` This is a Hebrew word
`static int` | `HEBREW_MAX` This largest legal value for a Hebrew number
`private int` | `number` The actual number itself
`static int` | `PARSING` This is a Parsing note
`private int` | `type` The type of this Strongs number

Constructor Summary
`Strongs(org.jdom.Element w)` Work out what the Strongs number is from the W element
`Strongs(int type, int number)` Create a Strongs number from a type and a number
`Strongs(String desc)` Create a Strongs number from an OLB descriptive string.

Method Summary
`String` | `getDescription()` A very short description of the Strongs number
`int` | `getNumber()`
`String` | `getOLBName()` The string that would be used by the On-Line Bible to describe this number
`int` | `getType()`
`boolean` | `isGreek()` Is this number a Greek one?
`boolean` | `isHebrew()` Is this number a Hebrew one?
`boolean` | `isParsing()` Is this number a Parsing one?
`private void` | `set(int type, int number)` Create a Strongs number from a type and a number.
`String` | `toString()` Default to returning the OLB name for this number

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HEBREW

    public static final int HEBREW

  This is a Hebrew word

  See Also:
    Constant Field Values

### GREEK

    public static final int GREEK

  This is a Greek word

  See Also:
    Constant Field Values

### PARSING

    public static final int PARSING

  This is a Parsing note

  See Also:
    Constant Field Values

### GREEK_MAX

    public static final int GREEK_MAX

  This largest legal value for a Greek number

  See Also:
    Constant Field Values

### HEBREW_MAX

    public static final int HEBREW_MAX

  This largest legal value for a Hebrew number

  See Also:
    Constant Field Values

### type

    private int type

  The type of this Strongs number

### number

    private int number

  The actual number itself

Constructor Detail

### Strongs

    public Strongs(String desc)
            throws BookException

  Create a Strongs number from an OLB descriptive string.

  Parameters:
    `desc` - The OLB style descriptive string
  Throws:
    `BookException`

### Strongs

    public Strongs(int type,
                   int number)
            throws BookException

  Create a Strongs number from a type and a number

  Parameters:
    `type` - 0=HEBREW, 1=GREEK, 2=PARSING
    `number` - The strongs number
  Throws:
    `BookException`

### Strongs

    public Strongs(org.jdom.Element w)
            throws BookException

  Work out what the Strongs number is from the W element

  Parameters:
    `w` - The element to investigate
  Throws:
    `BookException`

Method Detail

### getOLBName

    public String getOLBName()

  The string that would be used by the On-Line Bible to describe this number

  Returns:
    The OLB sytle string

### getDescription

    public String getDescription()

  A very short description of the Strongs number

  Returns:
    The short description

### toString

    public String toString()

  Default to returning the OLB name for this number

  Overrides:
    `toString` in class `Object`
  Returns:
    A descriptive String

### getType

    public int getType()

  Returns:
    The type of this Strongs number

### getNumber

    public int getNumber()

  Returns:
    The actual number that this represents

### isGreek

    public boolean isGreek()

  Is this number a Greek one?

  Returns:
    true if the number is Greek

### isHebrew

    public boolean isHebrew()

  Is this number a Hebrew one?

  Returns:
    true if the number is Hebrew

### isParsing

    public boolean isParsing()

  Is this number a Parsing one?

  Returns:
    true if the number is Parsing

### set

    private void set(int type,
                     int number)
              throws BookException

  Create a Strongs number from a type and a number. This is private since it should only be called from a constructor to keep this class immutable.

  Parameters:
    `type` - 0=HEBREW, 1=GREEK, 2=PARSING
    `number` - The strongs number
  Throws:
    `BookException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD